MySpace.com
|

rss
|
iniciar sesión

viernes, junio 23, 2006

Mexico update

Well, I went through the imperial valley desert and crossed the border in to Mexicali yesterday. I got most of my papers done; I was crossing back in to the US to finish up the permit for my car when BOOM! my car overheated. Some Mexicans helped me and we got enough water in the radiator for me to be able to drive it again. One person driving around me saw my plight and gave me a bottle of water he was drinking.

After getting my car back in the US, I took it to a car shop. They looked at it and found nothing wrong. So I drove back to Spring Valley and spent the night with a friend here.

I'm going to have the entire cooling system looked over this morning; there is a radiator shop just down the street.

It may be that my car just can't take the desert heat. If so, I'll drive down Baja California and take a ferry from La Paz to Mazatlan.

Update 9:34am: The car is now in the shop; since no one I know has a car available, I just chose a shop that is walking distance from where I'm staying in spring valley. I should have the car back by this afternoon.

Update 3:06pm: I have the car again. The radiator was "30% clogged" but he was able to clean it out. When I asked him if it could handle the Sonora desert, he replied "Why not?" I still think I'll take the Baja route and take a ferry from the southern tip of Baja.

It's a blessing in disguise that I had to come back because I also need to get a certified copy of my birth certificate.

09:26

0 Comentarios

(Comentario) |

0 Kudos

Traducir

Con la tecnología de

Inglés

Albanés

Árabe

Búlgaro

Catalán

Chino

Croata

Checo

Danés

Holandés

Estonio

Filipino

Finlandés

Francés

Gallego

Alemán

Griego

Hebreo

Hindi

Húngaro

Indonesio

Italiano

Japonés

Coreano

Letón

Lituano

Maltés

Noruego

Polaco

Portugués

Rumano

Ruso

Serbio

Eslovaco

Esloveno

Español

Sueco

Tailandés

Turco

Ucraniano

Vietnamita

miércoles, junio 21, 2006

The Last Temptation of Christ

The Last Temptation of Christ annoyed me while I was watching it. It annoyed me the way the TV version of Riverworld annoys me: It's nothing like the book. The movie was directed by a lapsed Catholic who was not too familiar with the gospels, and it shows. Just off of the top of my head while watching the movie:

Jesus' first apostle was Judas the betrayer in the movie. His first apostles in the gospels are Peter and Andrew (Mt. 4:18)

Jesus gets baptized by John and goes in to desert to be tempted after gathering up his first disciples. In the gospels, this all happens beforehand.

The sequence of Jesus going in to desert and being tempted is completely different than the gospel's account.

The wording of the parable of the sower was changed (there being four instead of three places where the seed is thrown), for no good reason.

This one amused me: While Jesus is being crucified, instead of a sign saying "JESUS OF NAZARETH, THE KING OF THE JEWS" in three languages (John 19:19-20), it said "INRI" just like those Catholic crucifixes.

etc. etc. etc.

Now, the movie has its moments, such as Jesus' triumpent entry in to Jerusalem, which has some beautiful music, and is one of the few scenes faithful to the gospels. However, as a whole, the movie comes off as the thoughts of a Catholic considering becoming a priest or monk and having doubts about the vow of chastity, and not as a rendition of the gospel.

I am no fundamentalist, and I am no supporter of censorship. That said, I can see why the religious right got upset by this movie. It makes a number of gratuitous changes from the story in the gospels and the message contained in the gospels. There is a lot of ignorance about the message contained in the gospels out there; movies like The Last Temptation of Christ and The DaVinchi Code do not help. If you're going to tell the story of Jesus, try to be somewhat accurate about it. While The Passion of the Christ makes some errors too, such as having Satan tempt Jesus at the Mount of Olives, instead of having an angel comfort him (Luke 22:43), it at least made a reasonable effort to be faithful to the message of the gospels.

Now, I'm not going to say "you must accept the message of the gospel or else". However, I'm going to say that, if you reject Christianity, please at least be aware of Jesus as portrayed in the gospels. And, oh, please don't think the intolerance of the religious right is what Jesus' message is about. It isn't. Read the gospels and see for yourself.I have now gotten Mexican insurance, and have cancelled both my cell phone plan and my American insurance. I'll be leaving for Mexico in a day or two.

02:24

1 Comentarios

(Comentario) |

2 Kudos

Traducir

Con la tecnología de

Inglés

Albanés

Árabe

Búlgaro

Catalán

Chino

Croata

Checo

Danés

Holandés

Estonio

Filipino

Finlandés

Francés

Gallego

Alemán

Griego

Hebreo

Hindi

Húngaro

Indonesio

Italiano

Japonés

Coreano

Letón

Lituano

Maltés

Noruego

Polaco

Portugués

Rumano

Ruso

Serbio

Eslovaco

Esloveno

Español

Sueco

Tailandés

Turco

Ucraniano

Vietnamita

martes, junio 20, 2006

On the 80s and synth-pop

My age will really show in this blog post.

I remember when, in the 80s, people felt that any music made with synthesizers was not "real music". People were sure this music would die a quick death and would be replaced by rock and roll.

To some extent, they were right. The whole synth-pop thing never really caught in in the USA; it was a brief trend during the 80s, when even top 40 music would use a Linn Drum (drum machine) instead of a real drummer, and would have at least one synthesizer in the song. This was replaced by pseudo-punk and hip-hop in the 90s. Everywhere else in the world, synth pop never went away and is nothing more than a new kind of music that came out in the 80s (late 70s, actually).

Except for a wave of 80s nostalgia, synth-pop just is not popular in the USA. For example, the recent synth-pop song "Dragostea din Tei" (a.k.a. the "Numa Numa" song) charted pretty much everywhere except the USA; the only radio stations that played it stateside were the Spanish-language stations catering to Mexican-Americans.

What can I say? The US just doesn't have culture.

17:34

0 Comentarios

(Comentario) |

0 Kudos

Traducir

Con la tecnología de

Inglés

Albanés

Árabe

Búlgaro

Catalán

Chino

Croata

Checo

Danés

Holandés

Estonio

Filipino

Finlandés

Francés

Gallego

Alemán

Griego

Hebreo

Hindi

Húngaro

Indonesio

Italiano

Japonés

Coreano

Letón

Lituano

Maltés

Noruego

Polaco

Portugués

Rumano

Ruso

Serbio

Eslovaco

Esloveno

Español

Sueco

Tailandés

Turco

Ucraniano

Vietnamita

viernes, junio 16, 2006

Nexuiz: A great 100% Free game

I have been, on and off over the last two days or so, playing the excellent GPL (engine source and artwork) first-person shooter Nexuiz. If you like deathmatch in Quake/Unreal/Half-Life, you will love this game. My buddy Victor and myself were up until 2am fragging each other last night; he was very impressed with the quality of graphics and gameplay.

The game is basically a Quake3 clone; you sit around killing your friend with high-powered military and science fiction weapons over and over while they kill you over and over. This is called "deathmatch". The games includes 19 maps for classic deathmatch, featuring everything form 1on1 maps to 12 player fragfests. If you feel like expressing your agressions, and no friends are around for your killing pleasure, you can either play play the game against strangers online, or play against "robots", which are computer-controlled opponents. Since a review of a previous release of this game criticized the robots for being too easy to kill, the current version of the game has robots which are very difficult to kill, even at the easiest difficulty setting.

Should nexuiz.com be down, the zip file (nexuiz-20.zip) can be downloaded from Sourceforge.

I have released MaraDNS 1.2.07.6 and 1.0.38 today, which are backports of the Microsoft.com fix to all currently maintained branches of MaraDNS.

21:02

1 Comentarios

(Comentario) |

1 Kudos

Traducir

Con la tecnología de

Inglés

Albanés

Árabe

Búlgaro

Catalán

Chino

Croata

Checo

Danés

Holandés

Estonio

Filipino

Finlandés

Francés

Gallego

Alemán

Griego

Hebreo

Hindi

Húngaro

Indonesio

Italiano

Japonés

Coreano

Letón

Lituano

Maltés

Noruego

Polaco

Portugués

Rumano

Ruso

Serbio

Eslovaco

Esloveno

Español

Sueco

Tailandés

Turco

Ucraniano

Vietnamita

miércoles, junio 14, 2006

MaraDNS update

I have updated MaraDNS to be able to handle the unusual packets which microsoft.com's DNS servers generate. Basically, a DNS packet has DNS records (called RRs in the technical specs) in three different sections:

The answer section

The authority section

The additional record section

MaraDNS followed section 3.7 of RFC1034 concerning packets in the answer section, which states that the answer section "carries RRs which directly answer the query", and has always rejected a DNS packet where the first answer in the answer section wasn't a direct answer to the question asked by the stub resolver.

As it turns out, with CNAME records (records which say "this record really has that name"), DNS packets would sometimes have the CNAME be the very first RR in the answer, followed by the record the CNAME points to. It took one line of additional code to handle this situtation.

This has worked without problem for over three years.

Well, Microsoft's DNS servers do things a little differently. They have the CNAME answer in the answer section--but first they put other information in the answer section that is not a direct answer to the question asked, such as what the CNAME points to, before the CNAME direct answer. Well, MaraDNS looked at the answer section, saw that the first RR in the answer section was not a direct reply, and discarded the entire packet. Which made it very difficult for MaraDNS to resolve microsoft.com.

Well, I have changed this part of MaraDNS' code to just skip the offending RR instead of discarding the entire packet. Microsoft.com now resolves without problem. MaraDNS currently has four branches:

The daily snapshot, which is the equivalent of a CVS HEAD branch

The development release, 1.2.09

The stable release, 1.2.07.5

The legacy release, 1.0.37 (this is a 3-year-old branch, and this branch was the stable release until last December. It is the version of MaraDNS which Debian stable has)

I have already incorporated the microsoft.com fix in to the snapshot and development releases of MaraDNS; in the next day or two, I will fix the stable and legacy releases. I already have patches for the stable and legacy versions available.

I pointed out in an earlier blog a troll account plaguing Digg. Well, this troll account has now been deleted; a lookup on the account says "no such user", and all posts by this user have been deleted. There may yet be hope for Digg.

Myspace's lousy code forces me to have javascript on to post a blog. I have installed No Script to disable javascript after this week's Yahoo email worm.

Looking at a copy of this worm, I think this was an IE-only problem. The worm has some activeX-specific code, and does not have the script tags, but just has the javascript in the middle of the HTML. I don't think Yahoo is responsible here; I think Microsoft is responsible here for making a web browser which will run as javascript anything that vaguely resembles javascript.

That said, I'd rather be safe than sorry, and have disabled scripting. Except I need to temporarily turn it on to satisfy Myspace's broken blog editor.

13:57

0 Comentarios

(Comentario) |

0 Kudos

Traducir

Con la tecnología de

Inglés

Albanés

Árabe

Búlgaro

Catalán

Chino

Croata

Checo

Danés

Holandés

Estonio

Filipino

Finlandés

Francés

Gallego

Alemán

Griego

Hebreo

Hindi

Húngaro

Indonesio

Italiano

Japonés

Coreano

Letón

Lituano

Maltés

Noruego

Polaco

Portugués

Rumano

Ruso

Serbio

Eslovaco

Esloveno

Español

Sueco

Tailandés

Turco

Ucraniano

Vietnamita

martes, junio 13, 2006

Good article on Digg's problems

Now that people are tired of the 14-year-olds and general immaturity on Slashdot, people are moving over to Digg. Guess what? The same 14-year-olds who used to be on Slashdot are now on Digg. What a surprise!

I'm not the only one who notices that there are problems with Digg. Newsvine looks to be an interesting source of information, as does Forever geek.

It looks like Microsoft.com has done some weird things with their DNS which makes it difficult for MaraDNS to resolve this domain. I think I know how to fix things; hopefully I'll have time to make a 1.2.09 release of MaraDNS to address this issue before I start my road trip to Mexico.

Myspace is being buggy again. Not only is it impossible to view some pictures in people's "view more pics", but the "unexpected error" message is cropping up again. I hate to sound like a Linux snob, but I don't think MySpace would have so many problems if they ran Linux instead of Windows for their server. I have heard that a Linux web server can handle as many hits as four Windows web servers.

14:22

2 Comentarios

(Comentario) |

4 Kudos

Traducir

Con la tecnología de

Inglés

Albanés

Árabe

Búlgaro

Catalán

Chino

Croata

Checo

Danés

Holandés

Estonio

Filipino

Finlandés

Francés

Gallego

Alemán

Griego

Hebreo

Hindi

Húngaro

Indonesio

Italiano

Japonés

Coreano

Letón

Lituano

Maltés

Noruego

Polaco

Portugués

Rumano

Ruso

Serbio

Eslovaco

Esloveno

Español

Sueco

Tailandés

Turco

Ucraniano

Vietnamita

sábado, junio 10, 2006

On trolls, fanboys, flamers, and spammers

After reading an interesting article about some of the problems over at Digg, I have come up with some definitions of some of the annoying traits that plague popular online discussion forums:

Trolls "Troll" means a lot of things to a lot of different people. I use the classic Usenet definition: A troll is someone who deliberately posts a message that will make people angry and reply to their message. Trolls used to be a much bigger problem when Usenet was the dominant online discussion forum; these days trolls posts are usually deleted or moderated down to invisibility, depending on how the online forum handles negative posts. Here is a classic example of a troll.

Fanboy. A fanboy is someone who supports a given product or idea and thinks the entire world should use the product (or idea) in question. They consider any criticism towards the object of their fanboyism a personal insult. For example, a Linux user who thinks everyone should use Linux, and can not understand why Photoshop may be better than the Gimp, nor why Microsoft Word may be better than TeX (OpenOffice these days) for end users is the classic example of a Linux fanboy. I'm a recovering Linux fanboy myself, though I confess to digging almost any Linux-related story in the Digg queue. Other examples of fanboys are Macintosh fanboys, XBox fanboys, Playstation fanboys, Web Standards fanboys, etc.

Flamer. A flamer is someone who considers a difference of opinion on an online forum a personal insult, and who responds in kind with a personal insult. This usually results in a flame war, where a discussion degenerates in to a battle where people are attacking each other with personal insults instead of having a constructive debate. Flame wars are minimized on Digg by not readily allowing someone to reply to a reply; they are very common on Wikipedia, since there is also the power struggle over what content will get in to a Wikipedia entry. They are also very common on Usenet, since there is no way of stopping a flame war there. Many online discussion forums have a way of "locking a thread", which stops people from commenting on a given topic which has become a flame war.

Spammer. A spammer is someone who has a commercial interest in promoting their product or service. They usually use robots to post to as many online forums as they can to promote their product. Spammers is why online forums use CAPTCHAs to stop robot-generated postings; Spammers is why you need to know my last name ("Trenholme") to add me as a friend on Myspace, since Myspace does not have an effective anti-spam patrol.

The solution to these problems: Delete troll posts; don't let fanboys overtake your discussion board (Digg has a problem with fanboys putting negative diggs on any comment which is critical of their fanboy fetish); Delete personal insults; and use CAPTCHAs to stop spambots.

15:07

0 Comentarios

(Comentario) |

0 Kudos

Traducir

Con la tecnología de

Inglés

Albanés

Árabe

Búlgaro

Catalán

Chino

Croata

Checo

Danés

Holandés

Estonio

Filipino

Finlandés

Francés

Gallego

Alemán

Griego

Hebreo

Hindi

Húngaro

Indonesio

Italiano

Japonés

Coreano

Letón

Lituano

Maltés

Noruego

Polaco

Portugués

Rumano

Ruso

Serbio

Eslovaco

Esloveno

Español

Sueco

Tailandés

Turco

Ucraniano

Vietnamita

viernes, junio 09, 2006

Linguistics ; new CSS ; Myspace Bugs

There is an article just published concerning a new discovery about the part of the brain bilingual people use to separate the languages that they speak.  As a language geek, I find stuff like this very fascinating.

Summer is here. Kinda, sorta...those legends about how wonderful San Diego's weather is are just that: Legends.  It's been cloudy and I haven't seen the sun for a few days.  Regardless, I have updated my CSS layout here at myspace with a cheerful summer look.

The non-stop invasion of MySpace bugs continue.  I can't link to this blog using a blog.myspace.com/samiamorg link; I have to use an ugly link instead.  Also, it looks like this link has been broken; for some reason this profile was deleted.  This broke a link on my profile (but the song still worked); I fixed this by linking to another Belanova profile.

13:59

2 Comentarios

(Comentario) |

2 Kudos

Traducir

Con la tecnología de

Inglés

Albanés

Árabe

Búlgaro

Catalán

Chino

Croata

Checo

Danés

Holandés

Estonio

Filipino

Finlandés

Francés

Gallego

Alemán

Griego

Hebreo

Hindi

Húngaro

Indonesio

Italiano

Japonés

Coreano

Letón

Lituano

Maltés

Noruego

Polaco

Portugués

Rumano

Ruso

Serbio

Eslovaco

Esloveno

Español

Sueco

Tailandés

Turco

Ucraniano

Vietnamita

martes, junio 06, 2006

What 666 means

The number 666 comes from the Book of Revelation in the Christian Bible, describing a beast that is a threat to Christians. In more detail, this beast is described in chapter 13, and is described as follows:

I saw another beast coming up out of the earth. [...] This beast causes all, the small and the great, the rich and the poor, and the free and the slave, to be given marks on their right hands, or on their foreheads; and that no one would be able to buy or to sell, unless he has that mark, the name of the beast or the number of his name. [...] Here is wisdom. He who has understanding, let him calculate the number of the beast, for it is the number of a man. His number is six hundred sixty-six.

Revelation was designed to be hard to read because St. John wrote it on a prison island. His Roman captors would read his letters, so he had to write in a code which his captors would not understand, but Christians reading the letter would understand.

We note that this passage is directed towards someone in a society where slavery is legal and tolerated ("free and slave").  We also note that St. John very specifically tells his first century audience "Think about the number and you'll figure out what it means".

Alas, anyone who did figure it out at the time didn't write down their discovery.  Early Christians were too busy dealing with persecution from both some Jewish authorities and the Roman Empire.  What we have done, however, is see what words add up to 666 in a system that a first century Christian would have knowledge of.

Indeed, the name of the notorious Neron Caesar, written with Hebrew letters and using Hebrew numerology, adds up to 666.  Nero Caesar, after the great fire of Rome, looks for a scapegoat to distract attention away from the negative publicity he was getting.  Christians, a then-new cult, were one of his targets.  He fed Christians to the lions, had them crucified, and otherwise committed atrocities.

It is no surprise that John took the number which meant his name and described him as a horrible beast.

And that is what the number 666 symbolizes.

20:57

1 Comentarios

(Comentario) |

2 Kudos

Traducir

Con la tecnología de

Inglés

Albanés

Árabe

Búlgaro

Catalán

Chino

Croata

Checo

Danés

Holandés

Estonio

Filipino

Finlandés

Francés

Gallego

Alemán

Griego

Hebreo

Hindi

Húngaro

Indonesio

Italiano

Japonés

Coreano

Letón

Lituano

Maltés

Noruego

Polaco

Portugués

Rumano

Ruso

Serbio

Eslovaco

Esloveno

Español

Sueco

Tailandés

Turco

Ucraniano

Vietnamita

sábado, junio 03, 2006

Piracy myths busted

Emoticón actual:  irritado/a

One source of some of the most pathetic arguments are the ones that come from people who somehow think it's OK to download that pirated torrent file. I have heard a lot of stupid stuff posted to pro-piracy boards (Slashdot, Digg, etc.), and not one single reasonable argument. Let me refute some of the more commonly posted drivel:

Myth: Artists make their money from concerts, not albums.
Fact: Artists make money from albums, not concerts. The concerts are loss-leaders to increase album sales. To quote Thomas Dolby: "Touring loses money for most acts, until you get to the 200 stadiums a year (or five nights at the Garden) stage. You justify it because it's one of the only ways to really get radio, press, and retail outlets activated on a territory-by-territory level."

Myth: People who download pirated content are just previewing content, and buy the content they like.
Fact: The sales of music have gone down dramatically ever since the dramatic increase of internet music piracy in the late 1990s. Source: David Blackburn On-line piracy and recorded music sales (PDF file).

Myth: It's not piracy, it's copyright infringement.
Fact: The use of the word "piracy" to indicate copyright infringement has been around for well over 25 years. Dictionaries define "piracy" as meaning, among other things, copyright infringement. One dictionary definition of piracy.

Myth: Piracy is OK because the RIAA and MPAA are immoral.
Fact: This is a classic Ad hominem fallacy. Whether or not the RIAA or MPAA are moral people does not affect the morality of using copyrighted works without permission.

Myth: You need to use pirate-friendly indexes to find Linux distributions and other legal files.
Fact: You can easily find Linux on the internet without needing to go to a pirate-friendly website.

Myth: Lawsuits and shutdowns of high-profile piracy sites take away my freedom!
Fact: Laws exist to protect people's rights and property. Piracy infringes on the rights of the people who spend a lot of money and go to a lot of effort to create content, and is therefore illegal. There's a reason they're called copyrights.

Bottom line: Piracy is wrong, and I have not heard a single reasonable argument that says otherwise.

04:04

4 Comentarios

(Comentario) |

0 Kudos

Traducir

Con la tecnología de

Inglés

Albanés

Árabe

Búlgaro

Catalán

Chino

Croata

Checo

Danés

Holandés

Estonio

Filipino

Finlandés

Francés

Gallego

Alemán

Griego

Hebreo

Hindi

Húngaro

Indonesio

Italiano

Japonés

Coreano

Letón

Lituano

Maltés

Noruego

Polaco

Portugués

Rumano

Ruso

Serbio

Eslovaco

Esloveno

Español

Sueco

Tailandés

Turco

Ucraniano

Vietnamita

Publicaciones más antiguas
|
Publicaciones más nuevas

Sam

Sam Trenholme

Última actualización: 16/02/2010

Enviar mensaje
Mensaje instantáneo
Enviar por correo electrónico a un amigo
Suscribirse

Sexo: Male

Estado: Casado

Firma: Escorpión

Ciudad: Puebla

Estado: Puebla

País: MX

Fecha de inscripción: 07/07/2005

Archivo de blogs

[Más antiguos

Más recientes]

Ene
Feb
Mar
Abr
Mayo
Jun
Jul
Ago
Sep
Oct
Nov
Dic
/
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
/
1981
1982
1983
1984
1985
1986
1987
1988
1989
1990
1991
1992
1993
1994
1995
1996
1997
1998
1999
2000
2001
2002
2003
2004
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
2023
2024
2025
2026
2027
2028
2029
2030
2031
2032
2033
2034
2035
2036
2037
2038
2039
2040
2041
2042
2043
2044
2045
2046
2047
2048
2049
2050
2051
2052
2053
2054
2055
2056
2057
2058
2059
2060
2061
2062
2063
2064
2065
2066
2067
2068
2069
2070
2071
2072
2073
2074
2075
2076
2077
2078
2079
2080
2081
2082
2083
2084
2085
2086
2087
2088
2089
2090
2091
2092
2093
2094
2095
2096
2097
2098
2099

>

Vínculos patrocinados

Domino Anti Spam

Domino Spam Blocker Server Based - Free Trial
www.maysoft.com

Acerca de nosotros |
Preguntas frecuentes |
Términos |
Política de privacidad |
Consejos de seguridad |
Informe sobre contenido inapropiado |
Publicitar |
MySpace International ▼

©2003-2010 MySpace.com. Todos los derechos reservados.

Cerrar

Las Américas

Argentina

Brasil

Canadá

Canadá (Français)

América Latina (Español)

México

United States (English)

United States (Latino)

Asia y Oceanía

Australia

Chino (tradicional)

India

Japón

Nueva Zelanda

Europa

Austria

Bélgica (Nederlands)

Bélgica (Français)

Dinamarca

Finlandia

Francia

Alemania

Irlanda

Italia

Países Bajos

Noruega

Portugal

Polonia

Rusia

España

Suecia

Suiza (Deutsch)

Suiza (Français)

Suiza (Italiano)

Turquía

Reino Unido